import type { VueNode } from '@antdv/ui/es/types';
import type { ChangeEventExtra, RawValueType, TreeSelectDataNode } from '../interface';
import type { DefaultOptionType, FieldNames } from '../TreeSelect';
export declare function convertChildrenToData(rootNodes: VueNode[]): TreeSelectDataNode[];
export declare function fillLegacyProps(dataNode: TreeSelectDataNode): any;
export declare function fillAdditionalInfo(extra: ChangeEventExtra, triggerValue: RawValueType, checkedValues: RawValueType[], treeData: DefaultOptionType[], showPosition: boolean, fieldNames: FieldNames): void;
